from drugtools import env_setup
from drugtools import historical_trial_selector as hts
from drugtools import historical_nct_downloader as hnd
from drugtools import historical_nct_extractor as hne
from drugtools import download_and_extract_nsde as daen
from drugtools import migrate_mysql2pgsql as mm2p

print("Current Environment")
print(env_setup.ENV)

cont = input("Are you willing to continue with the current environmnet? y/[n]")

if cont == "Y" or cont == "y":
    hts.run()
    hnd.run()
    hne.run()
    daen.run()
    mm2p.run()
else:
    print("Please fix your .env file and try again")
